## task 2.5.1%2Bdfsg

=== debian/changelog ===
task (2.5.1+dfsg-7) unstable; urgency=medium

  * Update VCS URLs to salsa.debian.org
  * Update to Standards-Version 4.3.0
  * Stop calling dpkg-parsechangelog in d/rules, and use pkg-info.mk instead
  * Remove debian/source/options (forcing xz compression), use dpkg defaults

 -- Gordon Ball <gordon@chronitis.net>  Fri, 22 Feb 2019 19:05:59 +0000

task (2.5.1+dfsg-6) unstable; urgency=medium

  * Patch shebang lines in python scripts from "/usr/bin/env python"
    to "/usr/bin/python" (prompted by LP:1663628)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 21 Nov 2017 10:32:28 +0000

task (2.5.1+dfsg-5) unstable; urgency=medium

  * Correct install path for bash-completion (closes: #880539)

 -- Gordon Ball <gordon@chronitis.net>  Thu, 02 Nov 2017 09:43:33 +0000

task (2.5.1+dfsg-4) unstable; urgency=medium

  * Retire transition package "task" (closes: #878982)
  * Remove "task" breaks/replaces from "taskwarrior"
  * Update Standards-Version to 4.1.1, no changes required
  * Update debhelper compat level to 10
  * Use https URLs in d/copyright and d/watch
  * Fix d/rules and d/taskwarrior.{install,manpages} for changes
    resulting from now building only a single binary package

 -- Gordon Ball <gordon@chronitis.net>  Mon, 23 Oct 2017 19:49:27 +0000

task (2.5.1+dfsg-3) unstable; urgency=medium

  * Move zsh completer to /usr/share/zsh/vendor-completions (closes: #843576)

 -- Gordon Ball <gordon@chronitis.net>  Thu, 23 Feb 2017 20:32:01 +0100

task (2.5.1+dfsg-2) unstable; urgency=medium

  [ Gordon Ball ]
  * Fix python dependency for tests
  * Use the installed binary for tests

  [ Sebastien Badia ]
  * Updated SV to 3.9.8, no changes required
  * Set maintainer to tasktools team
  * Update my email to the Debian one

 -- Gordon Ball <gordon@chronitis.net>  Tue, 13 Dec 2016 15:40:01 +0100

task (2.5.1+dfsg-1) unstable; urgency=medium

  [ Gordon Ball ]
  * Add a patch for build-time tests which fail depending on the date
  * Update autopkgtests; remove the adequate test for the
    transitional `task` package, and fix the script running
    the package's unit tests.
  * Updated SV to 3.9.7, no changes required.

  [ Sebastien Badia ]
  * New upstream release: 2.5.1
  * d/control: Switch to https for Vcs-Git and homepage
  * Update dates in d/copyright
  * d/patches: Refresh patches
  * d/rules:
      Fix TASK_RCDIR, fix manpage rc location (Closes: #789424)
      Fix TASK_RCDIR, fix theme location (Closes: #818103)
      Enable hardening builds flags
  * Fix spurious "pri." in taskrc manpage (Closes: #789423)
  * Add lintian overrides "isnt" is a keyword of taskwarrior

 -- Sebastien Badia <seb@sebian.fr>  Sat, 02 Apr 2016 20:32:52 +0200

## task 2.5.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required

include (CheckFunctionExists)
include (CheckStructHasMember)

set (HAVE_CMAKE true)

project (task)
set (PROJECT_VERSION "2.5.1")

OPTION (ENABLE_SYNC "Enable 'task sync' support" ON)

if (ENABLE_SYNC)
  set (USE_GNUTLS ON CACHE BOOL "Build gnutls support." FORCE)
else (ENABLE_SYNC)
  set (USE_GNUTLS OFF CACHE BOOL "Build gnutls support." FORCE)
  message (WARNING "ENABLE_SYNC=OFF. Not building sync support.")
endif (ENABLE_SYNC)

message ("CMAKE_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}")

include (CheckCXXCompilerFlag)

# NOTE: If we are to actually use C++11 features, we should either require
#       a compiler that supports the -std=c++11 flag or check for the
#       features used.
#       Relying on -std=c++0x or even -std=gnu++0x is highly volatile.

CHECK_CXX_COMPILER_FLAG("-std=c++11" _HAS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" _HAS_CXX0X)
CHECK_CXX_COMPILER_FLAG("-std=gnu++0x" _HAS_GNU0X)

if (_HAS_CXX11)
  set (_CXX11_FLAGS "-std=c++11")
elseif (_HAS_CXX0X)
  message (WARNING "Enabling -std=c++0x draft compile flag. Your compiler does not support the standard '-std=c++11' option.  Consider upgrading.")
  set (_CXX11_FLAGS "-std=c++0x")
elseif (_HAS_GNU0X)
  message (WARNING "Enabling -std=gnu++0x draft compile flag. Your compiler does not support the standard '-std=c++11' option. Consider upgrading.")
  set (_CXX11_FLAGS "-std=gnu++0x")
else (_HAS_CXX11)
 message (FATAL_ERROR "C++11 support missing. Try upgrading your C++ compiler. If you have a good reason for using an outdated compiler, please let us know at support@taskwarrior.org.")
endif (_HAS_CXX11)

if (${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang")
  set (_CXX11_FLAGS "${_CXX11_FLAGS} -stdlib=libc++")
endif (${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang")

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (LINUX true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set (DARWIN true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "kFreeBSD")
  set (KFREEBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
  set (FREEBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
  set (OPENBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
  set (NETBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
  set (SOLARIS true)
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "GNU")
  set (GNUHURD true)
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "CYGWIN")
  set (CYGWIN true)
  # NOTE: Not setting -std=gnu++0x leads to compile errors even with
  #       GCC 4.8.3, and debugging those leads to insanity. Adding this
  #       workaround instead of fixing Cygwin.
  set (_CXX11_FLAGS "-std=gnu++0x")
else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (UNKNOWN true)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

set (CMAKE_CXX_FLAGS "${_CXX11_FLAGS} ${CMAKE_CXX_FLAGS}")

set (CMAKE_CXX_FLAGS "-Wall -Wsign-compare -Wreturn-type ${CMAKE_CXX_FLAGS}")

if (NETBSD)
   # Since readline, etc likely to be in /usr/pkg/lib, not standard library
   # Otherwise will remove links during install
   set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif (NETBSD)

if (FREEBSD)
SET (TASK_MAN1DIR man/man1 CACHE STRING "Installation directory for man pages, section 1")
SET (TASK_MAN5DIR man/man5 CACHE STRING "Installation directory for man pages, section 5")
else (FREEBSD)
SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")
endif (FREEBSD)
SET (TASK_DOCDIR  share/doc/task CACHE STRING "Installation directory for doc files")
SET (TASK_RCDIR "${TASK_DOCDIR}/rc" CACHE STRING "Installation directory for configuration files")
SET (TASK_BINDIR  bin            CACHE STRING "Installation directory for the binary")

message ("-- Looking for SHA1 references")
if (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)
  set (HAVE_COMMIT true)
  execute_process (COMMAND git log -1 --pretty=format:%h
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                   OUTPUT_VARIABLE COMMIT)
  configure_file ( ${CMAKE_SOURCE_DIR}/commit.h.in
                   ${CMAKE_SOURCE_DIR}/commit.h)
  message ("-- Found SHA1 reference: ${COMMIT}")
endif (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)

set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@taskwarrior.org")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

if (USE_GNUTLS)
   message ("-- Looking for GnuTLS")
   find_package (GnuTLS)
   if (GNUTLS_FOUND)
     set (HAVE_LIBGNUTLS true)
     set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${GNUTLS_INCLUDE_DIR})
     set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${GNUTLS_LIBRARIES})
   endif (GNUTLS_FOUND)
endif (USE_GNUTLS)

if (ENABLE_SYNC AND NOT GNUTLS_FOUND)
  message (FATAL_ERROR "Cannot find GnuTLS. Use -DENABLE_SYNC=OFF to build Taskwarrior without sync support. See INSTALL for more information.")
endif (ENABLE_SYNC AND NOT GNUTLS_FOUND)

check_function_exists (timegm  HAVE_TIMEGM)
check_function_exists (get_current_dir_name HAVE_GET_CURRENT_DIR_NAME)
check_function_exists (wordexp HAVE_WORDEXP)

check_struct_has_member ("struct tm" tm_gmtoff time.h HAVE_TM_GMTOFF)
check_struct_has_member ("struct stat" st_birthtime "sys/types.h;sys/stat.h" HAVE_ST_BIRTHTIME)

message ("-- Looking for libuuid")
if (DARWIN OR FREEBSD OR OPENBSD)
  # Apple and FreeBSD include the uuid functions in their libc, rather than libuuid
  check_function_exists (uuid_unparse_lower HAVE_UUID_UNPARSE_LOWER)
else (DARWIN OR FREEBSD OR OPENBSD)
  find_path    (UUID_INCLUDE_DIR   uuid/uuid.h)
  find_library (UUID_LIBRARY NAMES uuid)
  if (UUID_INCLUDE_DIR AND UUID_LIBRARY)
    set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${UUID_INCLUDE_DIR})
    set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${UUID_LIBRARY})
    # Look for uuid_unparse_lower
    set (CMAKE_REQUIRED_INCLUDES  ${CMAKE_REQUIRED_INCLUDES}  ${UUID_INCLUDE_DIR})
    set (CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${UUID_LIBRARY})
    check_function_exists (uuid_unparse_lower HAVE_UUID_UNPARSE_LOWER)
  else (UUID_INCLUDE_DIR AND UUID_LIBRARY)
    message (FATAL_ERROR "-- libuuid not found.")
  endif (UUID_INCLUDE_DIR AND UUID_LIBRARY)
endif (DARWIN OR FREEBSD OR OPENBSD)

if (HAVE_UUID_UNPARSE_LOWER)
  message ("-- Found libuuid")
else (HAVE_UUID_UNPARSE_LOWER)
  message ("-- Found libuuid, using internal uuid_unparse_lower")
endif (HAVE_UUID_UNPARSE_LOWER)

# Set the package language.
if (LANGUAGE)
  set (PACKAGE_LANGUAGE ${LANGUAGE})
else (LANGUAGE)
  set (PACKAGE_LANGUAGE 1)
endif (LANGUAGE)

set (LANGUAGE_ENG_USA 1)
set (LANGUAGE_ESP_ESP 2)
set (LANGUAGE_DEU_DEU 3)
set (LANGUAGE_FRA_FRA 4)
set (LANGUAGE_ITA_ITA 5)
set (LANGUAGE_POR_PRT 6)
set (LANGUAGE_EPO_RUS 7)
set (LANGUAGE_POL_POL 8)
set (LANGUAGE_JPN_JPN 9)

message ("-- Configuring cmake.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/cmake.h)

add_subdirectory (src)
add_subdirectory (src/commands)
add_subdirectory (src/columns)
add_subdirectory (doc)
add_subdirectory (scripts)
if (EXISTS ${CMAKE_SOURCE_DIR}/test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS ${CMAKE_SOURCE_DIR}/test)
if (EXISTS performance)
  add_subdirectory (performance EXCLUDE_FROM_ALL)
endif (EXISTS performance)

set (doc_FILES NEWS ChangeLog README.md INSTALL AUTHORS COPYING LICENSE)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE}  DESTINATION ${TASK_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest" "Makefile$"
                                "test" "package-config" "misc/*" "src/task$" "src/calc$" "performance"
                                "src/libtask.a" "src/columns/libcolumns.a" "src/commands/libcommands.a"
                                "/\\\\.gitignore" "/\\\\.git/" "swp$" "src/lex$")
include (CPack)

=== performance/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

add_custom_target (performance ./run_perf
                               DEPENDS task_executable
                               WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/performance)

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/src/commands
                     ${CMAKE_SOURCE_DIR}/src/columns
                     ${TASK_INCLUDE_DIRS})

set (task_SRCS CLI2.cpp CLI2.h
               Color.cpp Color.h
               Config.cpp Config.h
               Context.cpp Context.h
               DOM.cpp DOM.h
               Dates.cpp Dates.h
               Eval.cpp Eval.h
               Filter.cpp Filter.h
               FS.cpp FS.h
               Hooks.cpp Hooks.h
               ISO8601.cpp ISO8601.h
               JSON.cpp JSON.h
               Lexer.cpp Lexer.h
               Msg.cpp Msg.h
               Nibbler.cpp Nibbler.h
               RX.cpp RX.h
               TDB2.cpp TDB2.h
               Task.cpp Task.h
               Timer.cpp Timer.h
               TLSClient.cpp TLSClient.h
               Variant.cpp Variant.h
               ViewTask.cpp ViewTask.h
               ViewText.cpp ViewText.h
               dependency.cpp
               feedback.cpp
               i18n.h
               interactive.cpp
               legacy.cpp
               recur.cpp
               rules.cpp
               sort.cpp
               text.cpp text.h
               utf8.cpp utf8.h
               util.cpp util.h
               wcwidth6.cpp)

add_library (task STATIC ${task_SRCS})
add_executable (task_executable main.cpp)
add_executable (calc_executable calc.cpp)
add_executable (lex_executable lex.cpp)

# Yes, 'task' is included twice, otherwise linking fails on assorted OSes.
target_link_libraries (task_executable task commands columns task ${TASK_LIBRARIES})
target_link_libraries (calc_executable task commands columns task ${TASK_LIBRARIES})
target_link_libraries (lex_executable task commands columns task ${TASK_LIBRARIES})

set_property (TARGET task_executable PROPERTY OUTPUT_NAME "task")

install (TARGETS task_executable DESTINATION ${TASK_BINDIR})

set_property (TARGET calc_executable PROPERTY OUTPUT_NAME "calc")
set_property (TARGET lex_executable PROPERTY OUTPUT_NAME "lex")

#SET(CMAKE_BUILD_TYPE gcov)
#SET(CMAKE_CXX_FLAGS_GCOV "--coverage")
#SET(CMAKE_C_FLAGS_GCOV "--coverage")
#SET(CMAKE_EXE_LINKER_FLAGS_GCOV "--coverage")

=== test/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
if(POLICY CMP0037)
  cmake_policy(SET CMP0037 OLD)
endif()
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/src/commands
                     ${CMAKE_SOURCE_DIR}/src/columns
                     ${CMAKE_SOURCE_DIR}/test
                     ${TASK_INCLUDE_DIRS})

set (test_SRCS autocomplete.t col.t color.t config.t fs.t i18n.t json.t list.t
               msg.t nibbler.t rx.t t.t tdb2.t text.t utf8.t util.t view.t
               json_test lexer.t iso8601d.t iso8601p.t eval.t dates.t
               variant_add.t variant_and.t variant_cast.t variant_divide.t
               variant_equal.t variant_exp.t variant_gt.t variant_gte.t
               variant_inequal.t variant_lt.t variant_lte.t variant_match.t
               variant_math.t variant_modulo.t variant_multiply.t
               variant_nomatch.t variant_not.t variant_or.t variant_partial.t
               variant_subtract.t variant_xor.t)

add_custom_target (test ./run_all --verbose
                        DEPENDS ${test_SRCS} task_executable
                        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/test)

add_custom_target (build_tests DEPENDS ${test_SRCS}
                               WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/test)

foreach (src_FILE ${test_SRCS})
  add_executable (${src_FILE} "${src_FILE}.cpp" test.cpp)
  target_link_libraries (${src_FILE} task commands task columns ${TASK_LIBRARIES})
endforeach (src_FILE)

configure_file(run_all run_all COPYONLY)
configure_file(problems problems COPYONLY)

#SET(CMAKE_BUILD_TYPE gcov)
#SET(CMAKE_CXX_FLAGS_GCOV "--coverage")
#SET(CMAKE_C_FLAGS_GCOV "--coverage")
#SET(CMAKE_EXE_LINKER_FLAGS_GCOV "--coverage")

=== src/columns/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/src/commands
                     ${CMAKE_SOURCE_DIR}/src/columns
                     ${TASK_INCLUDE_DIRS})

set (columns_SRCS Column.cpp Column.h
                  ColDepends.cpp ColDepends.h
                  ColDescription.cpp ColDescription.h
                  ColDue.cpp ColDue.h
                  ColEnd.cpp ColEnd.h
                  ColEntry.cpp ColEntry.h
                  ColID.cpp ColID.h
                  ColIMask.cpp ColIMask.h
                  ColMask.cpp ColMask.h
                  ColModified.cpp ColModified.h
                  ColParent.cpp ColParent.h
                  ColProject.cpp ColProject.h
                  ColRecur.cpp ColRecur.h
                  ColScheduled.cpp ColScheduled.h
                  ColStart.cpp ColStart.h
                  ColStatus.cpp ColStatus.h
                  ColString.cpp ColString.h
                  ColTags.cpp ColTags.h
                  ColTypeDate.cpp ColTypeDate.h
                  ColTypeDuration.cpp ColTypeDuration.h
                  ColTypeNumeric.cpp ColTypeNumeric.h
                  ColTypeString.cpp ColTypeString.h
                  ColUntil.cpp ColUntil.h
                  ColUrgency.cpp ColUrgency.h
                  ColUDA.cpp ColUDA.h
                  ColUUID.cpp ColUUID.h
                  ColWait.cpp ColWait.h)

add_library (columns STATIC ${columns_SRCS})

#SET(CMAKE_BUILD_TYPE gcov)
#SET(CMAKE_CXX_FLAGS_GCOV "--coverage")
#SET(CMAKE_C_FLAGS_GCOV "--coverage")
#SET(CMAKE_EXE_LINKER_FLAGS_GCOV "--coverage")

=== debian/control ===
Source: task
Section: utils
Priority: optional
Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Sebastien Badia <sbadia@debian.org>
Build-Depends: cmake,
               debhelper (>= 10),
               dh-buildinfo,
               git,
               libgnutls28-dev,
               libjson-perl,
               libreadline-dev,
               python,
               uuid-dev
Standards-Version: 4.1.1
Homepage: https://taskwarrior.org
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/task.git
Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/task.git

Package: taskwarrior
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: feature-rich console based todo list manager
 Taskwarrior is a sophisticated command line todo list and task
 manager with a lot of features:
 .
  * colorful tabbed output
  * feature rich search function
  * tags
  * statistics
  * Getting Things Done compatible
  * interactive editing of items in text editor

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

export CMAKE_BUILD_TYPE=release

version = $(shell dpkg-parsechangelog -SVersion)

%:
	dh $@

override_dh_auto_clean:
	dh_clean
	rm -f cmake.h commit.h test/basetest/*.pyc test/simpletap/*.pyc
	rm -rf obj-*

override_dh_auto_configure:
	find . -type f -exec sed -i '1s|^#!/usr/bin/env python|#!/usr/bin/python|' {} \;
	dh_auto_configure -- -DTASK_RCDIR=share/taskwarrior

override_dh_auto_install:
	# Needed by #710321
	dh_auto_install
	mkdir -p debian/taskwarrior/usr/share/bash-completion/completions
	cp scripts/bash/task.sh debian/taskwarrior/usr/share/bash-completion/completions/task
	rm -rf debian/taskwarrior/usr/share/doc/task
	rm -f debian/taskwarrior/usr/share/taskwarrior/refresh

.PHONY: get-orig-source
get-orig-source:
	sh ./debian/get-orig-source.sh $(version)

# vim:ts=4 sw=4 noet

=== debian/tests/control ===
Tests: taskwarrior
Depends: taskwarrior, python

Tests: adequate-taskwarrior
Depends: taskwarrior, adequate

=== debian/watch ===
version=3
opts="uversionmangle=s/[.]beta/~beta/,dversionmangle=s/[+]dfsg//" \
https://taskwarrior.org/download/ \
.*/task-([\d.]+(?:[.]beta\d+)?)\.tar\.gz

## task 2.5.2+dfsg

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")

include (CheckFunctionExists)
include (CheckStructHasMember)

set (HAVE_CMAKE true)

project (task)
set (PROJECT_VERSION "2.5.2")
include (CXXSniffer)

OPTION (ENABLE_WASM "Enable 'wasm' support" OFF)

if (ENABLE_WASM)
  message ("Enabling WASM support.")
  set(CMAKE_EXECUTABLE_SUFFIX ".js")
endif (ENABLE_WASM)

OPTION (ENABLE_SYNC "Enable 'task sync' support" ON)

if (ENABLE_SYNC)
  set (USE_GNUTLS ON CACHE BOOL "Build gnutls support." FORCE)
else (ENABLE_SYNC)
  set (USE_GNUTLS OFF CACHE BOOL "Build gnutls support." FORCE)
  message (WARNING "ENABLE_SYNC=OFF. Not building sync support.")
endif (ENABLE_SYNC)

message ("-- Looking for libshared")
if (EXISTS ${CMAKE_SOURCE_DIR}/src/libshared/.git)
  message ("-- Found libshared")
else (EXISTS ${CMAKE_SOURCE_DIR}/src/libshared/.git)
  message ("-- Cloning libshared")
  execute_process (COMMAND git submodule update --init
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif (EXISTS ${CMAKE_SOURCE_DIR}/src/libshared/.git)

message ("-- Looking for SHA1 references")
if (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)
  set (HAVE_COMMIT true)
  execute_process (COMMAND git log -1 --pretty=format:%h
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                   OUTPUT_VARIABLE COMMIT)
  configure_file ( ${CMAKE_SOURCE_DIR}/commit.h.in
                   ${CMAKE_SOURCE_DIR}/commit.h)
  message ("-- Found SHA1 reference: ${COMMIT}")
endif (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)

set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@gothenburgbitfactory.org")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

if (FREEBSD OR DRAGONFLY)
SET (TASK_MAN1DIR man/man1 CACHE STRING "Installation directory for man pages, section 1")
SET (TASK_MAN5DIR man/man5 CACHE STRING "Installation directory for man pages, section 5")
else (FREEBSD OR DRAGONFLY)
SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")
endif (FREEBSD OR DRAGONFLY)
SET (TASK_DOCDIR  share/doc/task CACHE STRING "Installation directory for doc files")
SET (TASK_RCDIR "${TASK_DOCDIR}/rc" CACHE STRING "Installation directory for configuration files")
SET (TASK_BINDIR  bin            CACHE STRING "Installation directory for the binary")

if (USE_GNUTLS)
   message ("-- Looking for GnuTLS")
   find_package (GnuTLS)
   if (GNUTLS_FOUND)
     set (HAVE_LIBGNUTLS true)
     set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${GNUTLS_INCLUDE_DIR})
     set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${GNUTLS_LIBRARIES})
   endif (GNUTLS_FOUND)
endif (USE_GNUTLS)

if (ENABLE_SYNC AND NOT GNUTLS_FOUND)
  message (FATAL_ERROR "Cannot find GnuTLS. Use -DENABLE_SYNC=OFF to build Taskwarrior without sync support. See INSTALL for more information.")
endif (ENABLE_SYNC AND NOT GNUTLS_FOUND)

check_function_exists (timegm  HAVE_TIMEGM)
check_function_exists (get_current_dir_name HAVE_GET_CURRENT_DIR_NAME)
check_function_exists (wordexp HAVE_WORDEXP)

check_struct_has_member ("struct tm" tm_gmtoff time.h HAVE_TM_GMTOFF)
check_struct_has_member ("struct stat" st_birthtime "sys/types.h;sys/stat.h" HAVE_ST_BIRTHTIME)

message ("-- Looking for libuuid")
if (DARWIN OR FREEBSD OR OPENBSD)
  # Apple and FreeBSD include the uuid functions in their libc, rather than libuuid
  check_function_exists (uuid_unparse_lower HAVE_UUID_UNPARSE_LOWER)
else (DARWIN OR FREEBSD OR OPENBSD)
  find_path    (UUID_INCLUDE_DIR   uuid/uuid.h)
  find_library (UUID_LIBRARY NAMES uuid)
  if (UUID_INCLUDE_DIR AND UUID_LIBRARY)
    set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${UUID_INCLUDE_DIR})
    set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${UUID_LIBRARY})
    # Look for uuid_unparse_lower
    set (CMAKE_REQUIRED_INCLUDES  ${CMAKE_REQUIRED_INCLUDES}  ${UUID_INCLUDE_DIR})
    set (CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${UUID_LIBRARY})
    check_function_exists (uuid_unparse_lower HAVE_UUID_UNPARSE_LOWER)
  else (UUID_INCLUDE_DIR AND UUID_LIBRARY)
    message (FATAL_ERROR "-- libuuid not found.")
  endif (UUID_INCLUDE_DIR AND UUID_LIBRARY)
endif (DARWIN OR FREEBSD OR OPENBSD)

if (HAVE_UUID_UNPARSE_LOWER)
  message ("-- Found libuuid")
else (HAVE_UUID_UNPARSE_LOWER)
  message ("-- Found libuuid, using internal uuid_unparse_lower")
endif (HAVE_UUID_UNPARSE_LOWER)

if (SOLARIS)
  # accept() is in libsocket according to its manpage
  message("-- Looking for libsocket")
  find_library (SOCKET_LIBRARY NAMES socket)
  if (SOCKET_LIBRARY)
    set (TASK_LIBRARIES    ${TASK_LIBRARIES} ${SOCKET_LIBRARY})
  else (SOCKET_LIBRARY)
    message(FATAL_ERROR "-- libsocket not found.")
  endif (SOCKET_LIBRARY)

  # inet_ntop() is in libnsl according to its manpage
  message("-- Looking for libnsl")
  find_library (NSL_LIBRARY NAMES nsl)
  if (NSL_LIBRARY)
    set (TASK_LIBRARIES    ${TASK_LIBRARIES} ${NSL_LIBRARY})
  else (NSL_LIBRARY)
    message(FATAL_ERROR "-- libnsl not found.")
  endif (NSL_LIBRARY)
endif (SOLARIS)

message ("-- Configuring cmake.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/cmake.h)

add_subdirectory (src)
add_subdirectory (src/commands)
add_subdirectory (src/columns)
add_subdirectory (doc)
add_subdirectory (scripts)
if (EXISTS ${CMAKE_SOURCE_DIR}/test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS ${CMAKE_SOURCE_DIR}/test)
if (EXISTS performance)
  add_subdirectory (performance EXCLUDE_FROM_ALL)
endif (EXISTS performance)

set (doc_FILES NEWS ChangeLog README.md INSTALL AUTHORS COPYING LICENSE)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE}  DESTINATION ${TASK_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest" "Makefile$"
                                "test" "package-config" "misc/*" "src/task$" "src/calc$" "performance"
                                "src/libtask.a" "src/columns/libcolumns.a" "src/commands/libcommands.a"
                                ".github/" ".travis.yml" "/\\\\.gitignore" "/\\\\.git/" "swp$" "src/lex$")
include (CPack)

=== debian/changelog ===
task (2.5.2+dfsg-1) unstable; urgency=medium

  * d/watch: check github instead of taskwarrior.org
  * get-orig-source: simplify, update git URL to github
  * New upstream version 2.5.2+dfsg
  * Rebase patches; drop those fixed upstream:
    - 0012-Patch-infinite-loop-with-P2M-recurrence.patch
    - 010_fix-manpage-rule-precedence-color.patch
    - 011_fix_non_ascii_truncation.patch

 -- Gordon Ball <gordon@chronitis.net>  Tue, 15 Dec 2020 10:05:56 +0000

task (2.5.1+dfsg-11) unstable; urgency=medium

  * Drop autopkgtest using (rc-buggy) adequate (Closes: #971831)

 -- Gordon Ball <gordon@chronitis.net>  Thu, 15 Oct 2020 18:07:46 +0000

task (2.5.1+dfsg-10) unstable; urgency=medium

  * Port the testsuite to python3 (Closes: #938626)
  * Use dh_bash-completion to install the bash completion script
  * Use debhelper compatibility level 13
  * Lintian cleanup:
     + Renamed tag typo-in-manual-page in overrides
     + Renamed TODO.Debian -> TODO

 -- Gordon Ball <gordon@chronitis.net>  Wed, 19 Aug 2020 17:49:02 +0000

task (2.5.1+dfsg-9) unstable; urgency=medium

  * Fix infinite loop caused by multimonth recurrence; patch from Michał
    Mirosław. (Closes: #951776)
  * Update to Standards-Version 4.5.0
  * Replace ADTTMP with AUTOPKGTEST_TMP in autopkgtests
  * Set Rules-Requires-Root: no
  * Update all references from "python" to "python2"; ubuntu patch from Balint
    Reczey, version 2.5.1+dfsg-8ubuntu1

 -- Gordon Ball <gordon@chronitis.net>  Tue, 03 Mar 2020 10:42:08 +0000

task (2.5.1+dfsg-8) unstable; urgency=medium

  * Add a patch which fixes truncated annotations when they contain non-ASCII
    characters (with thanks to Apollon; closes: #820108)
  * Update to Standards-Version 4.4.0
  * Use debhelper compatibility level 12

 -- Gordon Ball <gordon@chronitis.net>  Thu, 26 Sep 2019 08:48:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Priority: optional
 Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>, Sebastien Badia <sbadia@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 10),
+Build-Depends: bash-completion,
+               cmake,
+               debhelper-compat (= 13),
                dh-buildinfo,
                git,
                libgnutls28-dev,
                libjson-perl,
                libreadline-dev,
-               python,
+               python3,
                uuid-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Homepage: https://taskwarrior.org
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/task.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/task.git
+Vcs-Browser: https://salsa.debian.org/tasktools-team/task
+Vcs-Git: https://salsa.debian.org/tasktools-team/task.git
+Rules-Requires-Root: no
 
 Package: taskwarrior
 Architecture: any

=== debian/watch ===
version=4
opts=uversionmangle=s/[.]beta/~beta/,dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/GothenburgBitFactory/taskwarrior/tags .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## task 2.5.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.5.2")
+set (PROJECT_VERSION "2.5.3")
 include (CXXSniffer)
 
 OPTION (ENABLE_WASM "Enable 'wasm' support" OFF)
@@ -161,5 +161,5 @@
                                 "_CPack_Packages" "cmake_install" "install_manifest" "Makefile$"
                                 "test" "package-config" "misc/*" "src/task$" "src/calc$" "performance"
                                 "src/libtask.a" "src/columns/libcolumns.a" "src/commands/libcommands.a"
-                                ".github/" ".travis.yml" "/\\\\.gitignore" "/\\\\.git/" "swp$" "src/lex$")
+                                ".github/" "/\\\\.gitignore" "/\\\\.git/" "swp$" "src/lex$" ".*tar.gz")
 include (CPack)

=== scripts/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
install (DIRECTORY bash fish vim zsh hooks
         DESTINATION ${TASK_DOCDIR}/scripts)
install (DIRECTORY add-ons
         DESTINATION ${TASK_DOCDIR}/scripts
         FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
                          GROUP_READ             GROUP_EXECUTE
                          WORLD_READ             WORLD_EXECUTE)

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/src/commands
                     ${CMAKE_SOURCE_DIR}/src/columns
                     ${CMAKE_SOURCE_DIR}/src/libshared/src
                     ${TASK_INCLUDE_DIRS})

add_library (task CLI2.cpp CLI2.h
                  Context.cpp Context.h
                  DOM.cpp DOM.h
                  Eval.cpp Eval.h
                  Filter.cpp Filter.h
                  Hooks.cpp Hooks.h
                  Lexer.cpp Lexer.h
                  TDB2.cpp TDB2.h
                  Task.cpp Task.h
                  TLSClient.cpp TLSClient.h
                  Variant.cpp Variant.h
                  ViewTask.cpp ViewTask.h
                  dependency.cpp
                  feedback.cpp
                  legacy.cpp
                  nag.cpp
                  recur.cpp
                  rules.cpp
                  sort.cpp
                  util.cpp util.h)

add_library (libshared libshared/src/Color.cpp         libshared/src/Color.h
                       libshared/src/Configuration.cpp libshared/src/Configuration.h
                       libshared/src/Datetime.cpp      libshared/src/Datetime.h
                       libshared/src/Duration.cpp      libshared/src/Duration.h
                       libshared/src/FS.cpp            libshared/src/FS.h
                       libshared/src/JSON.cpp          libshared/src/JSON.h
                       libshared/src/Msg.cpp           libshared/src/Msg.h
                       libshared/src/Pig.cpp           libshared/src/Pig.h
                       libshared/src/RX.cpp            libshared/src/RX.h
                       libshared/src/Table.cpp         libshared/src/Table.h
                       libshared/src/Timer.cpp         libshared/src/Timer.h
                       libshared/src/format.cpp        libshared/src/format.h
                       libshared/src/ip.cpp
                       libshared/src/shared.cpp        libshared/src/shared.h
                       libshared/src/unicode.cpp       libshared/src/unicode.h
                       libshared/src/utf8.cpp          libshared/src/utf8.h
                       libshared/src/wcwidth6.cpp)

add_executable (task_executable main.cpp)
add_executable (calc_executable calc.cpp)
add_executable (lex_executable lex.cpp)

# Yes, 'task' (and hence libshared) is included twice, otherwise linking fails on assorted OSes.
target_link_libraries (task_executable task commands columns libshared task libshared ${TASK_LIBRARIES})
target_link_libraries (calc_executable task commands columns libshared task libshared ${TASK_LIBRARIES})
target_link_libraries (lex_executable  task commands columns libshared task libshared ${TASK_LIBRARIES})

set_property (TARGET task_executable PROPERTY OUTPUT_NAME "task")

install (TARGETS task_executable DESTINATION ${TASK_BINDIR})

set_property (TARGET calc_executable PROPERTY OUTPUT_NAME "calc")
set_property (TARGET lex_executable PROPERTY OUTPUT_NAME "lex")

#SET(CMAKE_BUILD_TYPE gcov)
#SET(CMAKE_CXX_FLAGS_GCOV "--coverage")
#SET(CMAKE_C_FLAGS_GCOV "--coverage")
#SET(CMAKE_EXE_LINKER_FLAGS_GCOV "--coverage")

=== src/columns/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
-cmake_minimum_required (VERSION 2.8)
+cmake_minimum_required (VERSION 3.0)
 include_directories (${CMAKE_SOURCE_DIR}
                      ${CMAKE_SOURCE_DIR}/src
                      ${CMAKE_SOURCE_DIR}/src/commands
                      ${CMAKE_SOURCE_DIR}/src/columns
+                     ${CMAKE_SOURCE_DIR}/src/libshared/src
                      ${TASK_INCLUDE_DIRS})
 
 set (columns_SRCS Column.cpp Column.h
@@ -21,7 +22,6 @@
                   ColScheduled.cpp ColScheduled.h
                   ColStart.cpp ColStart.h
                   ColStatus.cpp ColStatus.h
-                  ColString.cpp ColString.h
                   ColTags.cpp ColTags.h
                   ColTypeDate.cpp ColTypeDate.h
                   ColTypeDuration.cpp ColTypeDuration.h

=== src/commands/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/src/commands
                     ${CMAKE_SOURCE_DIR}/src/columns
                     ${CMAKE_SOURCE_DIR}/src/libshared/src
                     ${TASK_INCLUDE_DIRS})

set (commands_SRCS Command.cpp        Command.h
                   CmdAdd.cpp         CmdAdd.h
                   CmdAliases.cpp     CmdAliases.h
                   CmdAnnotate.cpp    CmdAnnotate.h
                   CmdAppend.cpp      CmdAppend.h
                   CmdAttributes.cpp  CmdAttributes.h
                   CmdBurndown.cpp    CmdBurndown.h
                   CmdCalc.cpp        CmdCalc.h
                   CmdCalendar.cpp    CmdCalendar.h
                   CmdCommands.cpp    CmdCommands.h
                   CmdColor.cpp       CmdColor.h
                   CmdColumns.cpp     CmdColumns.h
                   CmdConfig.cpp      CmdConfig.h
                   CmdContext.cpp     CmdContext.h
                   CmdCount.cpp       CmdCount.h
                   CmdCustom.cpp      CmdCustom.h
                   CmdDelete.cpp      CmdDelete.h
                   CmdDenotate.cpp    CmdDenotate.h
                   CmdDiagnostics.cpp CmdDiagnostics.h
                   CmdDone.cpp        CmdDone.h
                   CmdDuplicate.cpp   CmdDuplicate.h
                   CmdEdit.cpp        CmdEdit.h
                   CmdExec.cpp        CmdExec.h
                   CmdExport.cpp      CmdExport.h
                   CmdGet.cpp         CmdGet.h
                   CmdHelp.cpp        CmdHelp.h
                   CmdHistory.cpp     CmdHistory.h
                   CmdIDs.cpp         CmdIDs.h
                   CmdImport.cpp      CmdImport.h
                   CmdInfo.cpp        CmdInfo.h
                   CmdLog.cpp         CmdLog.h
                   CmdLogo.cpp        CmdLogo.h
                   CmdModify.cpp      CmdModify.h
                   CmdPrepend.cpp     CmdPrepend.h
                   CmdProjects.cpp    CmdProjects.h
                   CmdPurge.cpp       CmdPurge.h
                   CmdReports.cpp     CmdReports.h
                   CmdShow.cpp        CmdShow.h
                   CmdStart.cpp       CmdStart.h
                   CmdStats.cpp       CmdStats.h
                   CmdStop.cpp        CmdStop.h
                   CmdSummary.cpp     CmdSummary.h
                   CmdSync.cpp        CmdSync.h
                   CmdTags.cpp        CmdTags.h
                   CmdTimesheet.cpp   CmdTimesheet.h
                   CmdUDAs.cpp        CmdUDAs.h
                   CmdUndo.cpp        CmdUndo.h
                   CmdUnique.cpp      CmdUnique.h
                   CmdUrgency.cpp     CmdUrgency.h
                   CmdVersion.cpp     CmdVersion.h)

add_library (commands STATIC ${commands_SRCS})

#SET(CMAKE_BUILD_TYPE gcov)
#SET(CMAKE_CXX_FLAGS_GCOV "--coverage")
#SET(CMAKE_C_FLAGS_GCOV "--coverage")
#SET(CMAKE_EXE_LINKER_FLAGS_GCOV "--coverage")

=== src/libshared/src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src)

set (shared_HEADERS Args.h
                    Color.h
                    Composite.h
                    Configuration.h
                    Datetime.h
                    Duration.h
                    FS.h
                    JSON.h
                    Lexer.h
                    Log.h
                    Msg.h
                    Packrat.h
                    Palette.h
                    PEG.h
                    Pig.h
                    RX.h
                    Table.h
                    Timer.h
                    Tree.h
                    shared.h
                    format.h
                    unicode.h
                    utf8.h)

set (shared_SRCS Args.cpp
                 Color.cpp
                 Composite.cpp
                 Configuration.cpp
                 Datetime.cpp
                 Duration.cpp
                 FS.cpp
                 JSON.cpp
                 Lexer.cpp
                 Log.cpp
                 Msg.cpp
                 Packrat.cpp
                 Palette.cpp
                 PEG.cpp
                 Pig.cpp
                 RX.cpp
                 SAX.cpp
                 Table.cpp
                 Timer.cpp
                 Tree.cpp
                 format.cpp
                 ip.cpp
                 shared.cpp
                 unicode.cpp
                 utf8.cpp
                 wcwidth6.cpp
                 ${shared_HEADERS})

add_library (shared STATIC ${shared_SRCS})

set (CMAKE_INSTALL_LIBDIR lib CACHE PATH "Output directory for libraries")
install (TARGETS shared DESTINATION lib)
install (FILES ${shared_HEADERS} DESTINATION include)

add_executable (lex_executable lex.cpp)
target_link_libraries (lex_executable shared)
set_property (TARGET lex_executable PROPERTY OUTPUT_NAME "lex")

=== debian/changelog ===
task (2.5.3+dfsg-4) unstable; urgency=medium

  * d/watch: new github tarball URL
  * Patch an infinite loop for multi-month recurrence. This was previously
    patched in 2.5.1+dfsg-9 but wrongly dropped in 2.5.2+dfsg-1; patch from
    Michał Mirosław. (Closes: #951776, again)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 May 2021 12:00:06 +0000

task (2.5.3+dfsg-3) unstable; urgency=medium

  * Backport taskwarrior#2405 which fixes further parser-related regressions.
    (Closes: #980263, again).
  * Fix bash-based tests being skipped in autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Mon, 08 Feb 2021 19:52:03 +0000

task (2.5.3+dfsg-2) unstable; urgency=medium

  * Backport taskwarrior#2395 to fix a regression where names containing
    hyphens and numbers were interpreted as expressions (Closes: #980263)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 25 Jan 2021 19:24:01 +0000

task (2.5.3+dfsg-1) unstable; urgency=medium

  * Update build dependencies
    - Drop dh-buildinfo (obsolete)
    - Drop libjson-perl (no longer used in tests)
    - Drop libreadline-dev (not used since tasksh was split off)
    - Annotate git and python3 as !nocheck
    Thanks to Helmet Grohne for reporting this (Closes: #979079)
  * New upstream version 2.5.3+dfsg
  * Update team email address to Debian Tasktools Team
    <team+tasktools@tracker.debian.org>

 -- Gordon Ball <gordon@chronitis.net>  Mon, 04 Jan 2021 19:14:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: task
 Section: utils
 Priority: optional
-Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
+Maintainer: Debian Tasktools Team <team+tasktools@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>, Sebastien Badia <sbadia@debian.org>
 Build-Depends: bash-completion,
                cmake,
                debhelper-compat (= 13),
-               dh-buildinfo,
-               git,
+               git <!nocheck>,
                libgnutls28-dev,
-               libjson-perl,
-               libreadline-dev,
-               python3,
+               python3 <!nocheck>,
                uuid-dev
 Standards-Version: 4.5.0
 Homepage: https://taskwarrior.org

## task 2.6.0+dfsg

=== debian/changelog ===
task (2.6.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Remove 3 maintscript entries from 1 files.

  [ Gordon Ball ]
  * New upstream version 2.6.0+dfsg
  * Refresh patches, drop upstreamed or backported patches:
    + 0011-Lexer-Do-not-allow-leading-zero-for-number-type.patch
    + 0012-Backport-parser-issues-fixes.patch
    + 0013-Fix-infinite-loop-for-monthly-recurrence.patch
  * d/control: Standards-Version 4.6.0

 -- Gordon Ball <gordon@chronitis.net>  Tue, 05 Oct 2021 19:35:15 +0000
